<?php

namespace Drupal\core_event_dispatcher\Event\Core;

use Drupal\hook_event_dispatcher\Event\PluginDefinitionAlterEventBase;
use Drupal\hook_event_dispatcher\HookEventDispatcherInterface;

/**
 * Class MailBackendInfoAlterEvent.
 */
class MailBackendInfoAlterEvent extends PluginDefinitionAlterEventBase {

  /**
   * Gets mail backend plugin definitions.
   *
   * @return array
   *   The mail backend plugin definitions.
   */
  public function &getInfo(): array {
    return $this->definitions;
  }

  /**
   * {@inheritdoc}
   */
  public function getDispatcherType(): string {
    return HookEventDispatcherInterface::MAIL_BACKEND_INFO_ALTER;
  }

}
