<?php

namespace Drupal\media_event_dispatcher\Event\Media;

use Drupal\hook_event_dispatcher\Event\PluginDefinitionAlterEventBase;
use Drupal\hook_event_dispatcher\HookEventDispatcherInterface;

/**
 * Class MediaSourceInfoAlterEvent.
 */
class MediaSourceInfoAlterEvent extends PluginDefinitionAlterEventBase {

  /**
   * Get the media source plugin definitions.
   *
   * @return array
   *   The array of media source plugin definitions, keyed by plugin ID.
   */
  public function &getSources(): array {
    return $this->definitions;
  }

  /**
   * {@inheritdoc}
   */
  public function getDispatcherType(): string {
    return HookEventDispatcherInterface::MEDIA_SOURCE_INFO_ALTER;
  }

}
